# Interface BytesTypeStatic

Type of a static-length bytestring

#### Category

Elementary types

#### Hierarchy

- BytesTypeStatic

- Defined in codec/lib/format/types.ts:100

#####
Index

### Properties

kind
length
typeClass
typeHint?

## Properties

### kind

kind: "static"

- Defined in codec/lib/format/types.ts:102

### length

length: number

- Defined in codec/lib/format/types.ts:103

### typeClass

typeClass: "bytes"

- Defined in codec/lib/format/types.ts:101

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:104

Generated using TypeDoc